(* Memory info command for virtual domains.
   (C) Copyright 2008 Richard W.M. Jones, Red Hat Inc.
   http://libvirt.org/

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Links everything into a single executable and invokes 'main'.
 *)

(* Because internal commands like 'virt-mem capture' are stored
 * in a library [*.cma/*.cmxa], they don't automatically get
 * loaded/registered unless someone seems to be using them.  So
 * we need to pretend to be using them here.  External commands
 * like 'virt-ps' are OK because they are linked as *.cmo/*.cmx
 * files.
 *)
let _ = Virt_mem_capture.summary
let _ = Virt_mem_dump.summary

(* Call main program. *)
let () = Virt_mem.main ()
