(* WARNING: This file and the corresponding mli (interface) are
 * automatically generated by the extract/codegen/ program.
 *
 * Any edits you make to this file will be lost.
 *
 * To update this file from the latest kernel database, it is recommended
 * that you do 'make update-kernel-structs'.
 *)

open Printf;;
module StringMap = Map.Make(String);;
module AddrMap = Map.Make(Int64);;
exception ParseError of string * string * string;;
let match_err = "failed to match kernel structure";;
let unknown_kernel_version version struct_name =
  invalid_arg
    (sprintf
       "%s: unknown kernel version or
struct %s is not supported in this kernel.
Try a newer version of virt-mem, or if the guest is not from a
supported Linux distribution, see this page about adding support:
  http://et.redhat.com/~rjones/virt-mem/faq.html
"
       version struct_name);;
type kernel_version = string;;
type load_fn = string -> Virt_mem_mmap.addr -> int -> Bitstring.bitstring;;
let zero = 0;;
type task_struct =
  { task_struct_comm : string; task_struct_normal_prio : int64;
    task_struct_pid : int64; task_struct_prio : int64;
    task_struct_run_list'next : Virt_mem_mmap.addr option;
    task_struct_run_list'next_offset : int;
    task_struct_run_list'next_adjustment : int;
    task_struct_run_list'prev : Virt_mem_mmap.addr option;
    task_struct_state : int64; task_struct_static_prio : int64;
    task_struct_tasks'next : Virt_mem_mmap.addr;
    task_struct_tasks'next_offset : int;
    task_struct_tasks'next_adjustment : int;
    task_struct_tasks'prev : Virt_mem_mmap.addr
  };;
type net_device =
  { net_device_addr_len : int64;
    net_device_dev_list'next : Virt_mem_mmap.addr option;
    net_device_dev_list'next_offset : int;
    net_device_dev_list'next_adjustment : int;
    net_device_dev_list'prev : Virt_mem_mmap.addr option;
    net_device_flags : int64; net_device_ip6_ptr : Virt_mem_mmap.addr;
    net_device_ip_ptr : Virt_mem_mmap.addr; net_device_mtu : int64;
    net_device_name : string; net_device_next : Virt_mem_mmap.addr option;
    net_device_operstate : int64; net_device_perm_addr : string
  };;
type net =
  { net_dev_base_head'next : Virt_mem_mmap.addr;
    net_dev_base_head'next_offset : int;
    net_dev_base_head'next_adjustment : int;
    net_dev_base_head'prev : Virt_mem_mmap.addr;
    net_dev_base_head'prev_offset : int;
    net_dev_base_head'prev_adjustment : int
  };;
type in_device = { in_device_ifa_list : Virt_mem_mmap.addr };;
type inet6_dev = { inet6_dev_addr_list : Virt_mem_mmap.addr };;
type in_ifaddr =
  { in_ifaddr_ifa_address : int64; in_ifaddr_ifa_broadcast : int64;
    in_ifaddr_ifa_local : int64; in_ifaddr_ifa_mask : int64;
    in_ifaddr_ifa_next : Virt_mem_mmap.addr
  };;
type inet6_ifaddr =
  { inet6_ifaddr_lst_next : Virt_mem_mmap.addr;
    inet6_ifaddr_prefix_len : int64
  };;
type kernel_struct =
  Task_struct of task_struct
  | Net_device of net_device
  | Net of net
  | In_device of in_device
  | Inet6_dev of inet6_dev
  | In_ifaddr of in_ifaddr
  | Inet6_ifaddr of inet6_ifaddr;;
type addrmap =
  (string * ((int * Bitstring.bitstring * kernel_struct) option)) AddrMap.t;;
let offset_of_net_device_dev_list'next =
  let map =
    StringMap.add "2.6.27-0.254.rc3.fc10.i586" 48
      (StringMap.add "2.6.21-1.3221.fc8.i586" 48
         (StringMap.add "2.6.25.14-69.fc8.i686" 48
            (StringMap.add "2.6.27-0.237.rc2.fc10.i686" 48
               (StringMap.add "2.6.26.1-9.fc9.x86_64" 72
                  (StringMap.add "2.6.27-0.231.rc1.git6.fc10.i686" 48
                     (StringMap.add "2.6.27-0.254.rc3.fc10.i686" 48
                        (StringMap.add "2.6.21-1.3209.fc8.ppc64" 72
                           (StringMap.add "2.6.23.14-135.fc8.i586" 48
                              (StringMap.add "2.6.27-0.254.rc3.fc10.ppc64" 72
                                 (StringMap.add
                                    "2.6.22-0.23.rc7.git6.fc8.i686" 48
                                    (StringMap.add "2.6.26.2-14.fc9.i586" 48
                                       (StringMap.add
                                          "2.6.21-1.3209.fc8.ppc64" 72
                                          (StringMap.add
                                             "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                             72
                                             (StringMap.add
                                                "2.6.25.14-68.fc8.i686" 48
                                                (StringMap.add
                                                   "2.6.24-7.fc9.ppc" 48
                                                   (StringMap.add
                                                      "2.6.21-1.3242.fc8.i686"
                                                      48
                                                      (StringMap.add
                                                         "2.6.22-0.rc7.2.fc8.ppc"
                                                         48
                                                         (StringMap.add
                                                            "2.6.23.14-78.fc7.i586"
                                                            48
                                                            (StringMap.add
                                                               "2.6.24-9.fc9.ppc"
                                                               48
                                                               (StringMap.add
                                                                  "2.6.23.14-135.fc8.ppc64"
                                                                  72
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i586"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    72
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in fun kernel_version -> StringMap.find kernel_version map;;
let task_struct_parser_1 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      run_list'next : zero+32 : offset(288), littleendian;
      run_list'prev : zero+32 : offset(320), littleendian;
      tasks'next : zero+32 : offset(992), littleendian;
      tasks'prev : zero+32 : offset(1024), littleendian;
      pid : zero+32 : offset(1344), littleendian;
      comm : 128 : offset(3232), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 124;
          task_struct_tasks'next_adjustment = 124;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_1", match_err));;
let task_struct_parser_2 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(224), bigendian;
      static_prio : zero+32 : offset(256), bigendian;
      normal_prio : zero+32 : offset(288), bigendian;
      run_list'next : zero+64 : offset(320), bigendian;
      run_list'prev : zero+64 : offset(384), bigendian;
      tasks'next : zero+64 : offset(3648), bigendian;
      tasks'prev : zero+64 : offset(3712), bigendian;
      pid : zero+32 : offset(4160), bigendian;
      comm : 128 : offset(7752), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 456;
          task_struct_tasks'next_adjustment = 456;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_2", match_err));;
let task_struct_parser_3 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(160), bigendian;
      static_prio : zero+32 : offset(192), bigendian;
      normal_prio : zero+32 : offset(224), bigendian;
      run_list'next : zero+32 : offset(256), bigendian;
      run_list'prev : zero+32 : offset(288), bigendian;
      tasks'next : zero+32 : offset(2176), bigendian;
      tasks'prev : zero+32 : offset(2208), bigendian;
      pid : zero+32 : offset(2528), bigendian;
      comm : 128 : offset(4416), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 272;
          task_struct_tasks'next_adjustment = 272;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_3", match_err));;
let task_struct_parser_4 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(224), littleendian;
      static_prio : zero+32 : offset(256), littleendian;
      normal_prio : zero+32 : offset(288), littleendian;
      tasks'next : zero+64 : offset(3840), littleendian;
      tasks'prev : zero+64 : offset(3904), littleendian;
      pid : zero+32 : offset(4352), littleendian;
      comm : 128 : offset(8392), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 480;
          task_struct_tasks'next_adjustment = 480;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_4", match_err));;
let task_struct_parser_5 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(320), littleendian;
      static_prio : zero+32 : offset(352), littleendian;
      normal_prio : zero+32 : offset(384), littleendian;
      run_list'next : zero+64 : offset(448), littleendian;
      run_list'prev : zero+64 : offset(512), littleendian;
      tasks'next : zero+64 : offset(1536), littleendian;
      tasks'prev : zero+64 : offset(1600), littleendian;
      pid : zero+32 : offset(2144), littleendian;
      comm : 128 : offset(5440), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 56;
          task_struct_run_list'next_adjustment = 56;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 192;
          task_struct_tasks'next_adjustment = 192;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_5", match_err));;
let task_struct_parser_6 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(192), bigendian;
      static_prio : zero+32 : offset(224), bigendian;
      normal_prio : zero+32 : offset(256), bigendian;
      tasks'next : zero+32 : offset(3712), bigendian;
      tasks'prev : zero+32 : offset(3744), bigendian;
      pid : zero+32 : offset(4064), bigendian;
      comm : 128 : offset(6464), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 464;
          task_struct_tasks'next_adjustment = 464;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_6", match_err));;
let task_struct_parser_7 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(320), bigendian;
      static_prio : zero+32 : offset(352), bigendian;
      normal_prio : zero+32 : offset(384), bigendian;
      run_list'next : zero+64 : offset(448), bigendian;
      run_list'prev : zero+64 : offset(512), bigendian;
      tasks'next : zero+64 : offset(1600), bigendian;
      tasks'prev : zero+64 : offset(1664), bigendian;
      pid : zero+32 : offset(2208), bigendian;
      comm : 128 : offset(5440), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 56;
          task_struct_run_list'next_adjustment = 56;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 200;
          task_struct_tasks'next_adjustment = 200;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_7", match_err));;
let task_struct_parser_8 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(256), bigendian;
      static_prio : zero+32 : offset(288), bigendian;
      normal_prio : zero+32 : offset(320), bigendian;
      tasks'next : zero+64 : offset(4096), bigendian;
      tasks'prev : zero+64 : offset(4160), bigendian;
      pid : zero+32 : offset(4608), bigendian;
      comm : 128 : offset(8712), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 512;
          task_struct_tasks'next_adjustment = 512;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_8", match_err));;
let task_struct_parser_9 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(192), bigendian;
      static_prio : zero+32 : offset(224), bigendian;
      normal_prio : zero+32 : offset(256), bigendian;
      run_list'next : zero+32 : offset(288), bigendian;
      run_list'prev : zero+32 : offset(320), bigendian;
      tasks'next : zero+32 : offset(2304), bigendian;
      tasks'prev : zero+32 : offset(2336), bigendian;
      pid : zero+32 : offset(2784), bigendian;
      comm : 128 : offset(4736), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 288;
          task_struct_tasks'next_adjustment = 288;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_9", match_err));;
let task_struct_parser_10 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      run_list'next : zero+32 : offset(256), littleendian;
      run_list'prev : zero+32 : offset(288), littleendian;
      tasks'next : zero+32 : offset(3008), littleendian;
      tasks'prev : zero+32 : offset(3040), littleendian;
      pid : zero+32 : offset(3360), littleendian;
      comm : 128 : offset(5416), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 376;
          task_struct_tasks'next_adjustment = 376;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_10", match_err));;
let task_struct_parser_11 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(320), littleendian;
      static_prio : zero+32 : offset(352), littleendian;
      normal_prio : zero+32 : offset(384), littleendian;
      run_list'next : zero+64 : offset(448), littleendian;
      run_list'prev : zero+64 : offset(512), littleendian;
      tasks'next : zero+64 : offset(1536), littleendian;
      tasks'prev : zero+64 : offset(1600), littleendian;
      pid : zero+32 : offset(2144), littleendian;
      comm : 128 : offset(5376), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 56;
          task_struct_run_list'next_adjustment = 56;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 192;
          task_struct_tasks'next_adjustment = 192;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_11", match_err));;
let task_struct_parser_12 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(256), littleendian;
      static_prio : zero+32 : offset(288), littleendian;
      normal_prio : zero+32 : offset(320), littleendian;
      run_list'next : zero+64 : offset(384), littleendian;
      run_list'prev : zero+64 : offset(448), littleendian;
      tasks'next : zero+64 : offset(2816), littleendian;
      tasks'prev : zero+64 : offset(2880), littleendian;
      pid : zero+32 : offset(3584), littleendian;
      comm : 128 : offset(6912), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 352;
          task_struct_tasks'next_adjustment = 352;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_12", match_err));;
let task_struct_parser_13 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(256), bigendian;
      static_prio : zero+32 : offset(288), bigendian;
      normal_prio : zero+32 : offset(320), bigendian;
      run_list'next : zero+64 : offset(384), bigendian;
      run_list'prev : zero+64 : offset(448), bigendian;
      tasks'next : zero+64 : offset(1472), bigendian;
      tasks'prev : zero+64 : offset(1536), bigendian;
      pid : zero+32 : offset(1984), bigendian;
      comm : 128 : offset(5184), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 184;
          task_struct_tasks'next_adjustment = 184;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_13", match_err));;
let task_struct_parser_14 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(224), bigendian;
      static_prio : zero+32 : offset(256), bigendian;
      normal_prio : zero+32 : offset(288), bigendian;
      tasks'next : zero+64 : offset(3840), bigendian;
      tasks'prev : zero+64 : offset(3904), bigendian;
      pid : zero+32 : offset(4352), bigendian;
      comm : 128 : offset(8392), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 480;
          task_struct_tasks'next_adjustment = 480;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_14", match_err));;
let task_struct_parser_15 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      tasks'next : zero+32 : offset(3360), littleendian;
      tasks'prev : zero+32 : offset(3392), littleendian;
      pid : zero+32 : offset(3712), littleendian;
      comm : 128 : offset(6088), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 420;
          task_struct_tasks'next_adjustment = 420;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_15", match_err));;
let task_struct_parser_16 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      tasks'next : zero+32 : offset(3232), littleendian;
      tasks'prev : zero+32 : offset(3264), littleendian;
      pid : zero+32 : offset(3584), littleendian;
      comm : 128 : offset(5928), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 404;
          task_struct_tasks'next_adjustment = 404;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_16", match_err));;
let task_struct_parser_17 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(160), bigendian;
      static_prio : zero+32 : offset(192), bigendian;
      normal_prio : zero+32 : offset(224), bigendian;
      run_list'next : zero+32 : offset(256), bigendian;
      run_list'prev : zero+32 : offset(288), bigendian;
      tasks'next : zero+32 : offset(3136), bigendian;
      tasks'prev : zero+32 : offset(3168), bigendian;
      pid : zero+32 : offset(3488), bigendian;
      comm : 128 : offset(5576), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 392;
          task_struct_tasks'next_adjustment = 392;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_17", match_err));;
let task_struct_parser_18 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      run_list'next : zero+32 : offset(256), littleendian;
      run_list'prev : zero+32 : offset(288), littleendian;
      tasks'next : zero+32 : offset(2144), littleendian;
      tasks'prev : zero+32 : offset(2176), littleendian;
      pid : zero+32 : offset(2496), littleendian;
      comm : 128 : offset(4512), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 268;
          task_struct_tasks'next_adjustment = 268;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_18", match_err));;
let task_struct_parser_19 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      tasks'next : zero+32 : offset(3552), littleendian;
      tasks'prev : zero+32 : offset(3584), littleendian;
      pid : zero+32 : offset(3904), littleendian;
      comm : 128 : offset(6272), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 444;
          task_struct_tasks'next_adjustment = 444;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_19", match_err));;
let task_struct_parser_20 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(160), bigendian;
      static_prio : zero+32 : offset(192), bigendian;
      normal_prio : zero+32 : offset(224), bigendian;
      run_list'next : zero+32 : offset(256), bigendian;
      run_list'prev : zero+32 : offset(288), bigendian;
      tasks'next : zero+32 : offset(2240), bigendian;
      tasks'prev : zero+32 : offset(2272), bigendian;
      pid : zero+32 : offset(2592), bigendian;
      comm : 128 : offset(4608), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 280;
          task_struct_tasks'next_adjustment = 280;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_20", match_err));;
let task_struct_parser_21 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(256), littleendian;
      static_prio : zero+32 : offset(288), littleendian;
      normal_prio : zero+32 : offset(320), littleendian;
      tasks'next : zero+64 : offset(4480), littleendian;
      tasks'prev : zero+64 : offset(4544), littleendian;
      pid : zero+32 : offset(4992), littleendian;
      comm : 128 : offset(9024), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 560;
          task_struct_tasks'next_adjustment = 560;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_21", match_err));;
let task_struct_parser_22 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      tasks'next : zero+32 : offset(3200), littleendian;
      tasks'prev : zero+32 : offset(3232), littleendian;
      pid : zero+32 : offset(3552), littleendian;
      comm : 128 : offset(5896), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 400;
          task_struct_tasks'next_adjustment = 400;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_22", match_err));;
let task_struct_parser_23 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(224), littleendian;
      static_prio : zero+32 : offset(256), littleendian;
      normal_prio : zero+32 : offset(288), littleendian;
      run_list'next : zero+64 : offset(320), littleendian;
      run_list'prev : zero+64 : offset(384), littleendian;
      tasks'next : zero+64 : offset(2816), littleendian;
      tasks'prev : zero+64 : offset(2880), littleendian;
      pid : zero+32 : offset(3328), littleendian;
      comm : 128 : offset(6592), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 352;
          task_struct_tasks'next_adjustment = 352;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_23", match_err));;
let task_struct_parser_24 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(224), bigendian;
      static_prio : zero+32 : offset(256), bigendian;
      normal_prio : zero+32 : offset(288), bigendian;
      run_list'next : zero+64 : offset(320), bigendian;
      run_list'prev : zero+64 : offset(384), bigendian;
      tasks'next : zero+64 : offset(2816), bigendian;
      tasks'prev : zero+64 : offset(2880), bigendian;
      pid : zero+32 : offset(3328), bigendian;
      comm : 128 : offset(6528), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 352;
          task_struct_tasks'next_adjustment = 352;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_24", match_err));;
let task_struct_parser_25 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(224), bigendian;
      static_prio : zero+32 : offset(256), bigendian;
      normal_prio : zero+32 : offset(288), bigendian;
      run_list'next : zero+64 : offset(320), bigendian;
      run_list'prev : zero+64 : offset(384), bigendian;
      tasks'next : zero+64 : offset(2880), bigendian;
      tasks'prev : zero+64 : offset(2944), bigendian;
      pid : zero+32 : offset(3392), bigendian;
      comm : 128 : offset(6848), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 360;
          task_struct_tasks'next_adjustment = 360;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_25", match_err));;
let task_struct_parser_26 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(192), bigendian;
      static_prio : zero+32 : offset(224), bigendian;
      normal_prio : zero+32 : offset(256), bigendian;
      run_list'next : zero+32 : offset(288), bigendian;
      run_list'prev : zero+32 : offset(320), bigendian;
      tasks'next : zero+32 : offset(1024), bigendian;
      tasks'prev : zero+32 : offset(1056), bigendian;
      pid : zero+32 : offset(1376), bigendian;
      comm : 128 : offset(3264), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 128;
          task_struct_tasks'next_adjustment = 128;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_26", match_err));;
let task_struct_parser_27 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(224), bigendian;
      static_prio : zero+32 : offset(256), bigendian;
      normal_prio : zero+32 : offset(288), bigendian;
      run_list'next : zero+64 : offset(320), bigendian;
      run_list'prev : zero+64 : offset(384), bigendian;
      tasks'next : zero+64 : offset(2880), bigendian;
      tasks'prev : zero+64 : offset(2944), bigendian;
      pid : zero+32 : offset(3392), bigendian;
      comm : 128 : offset(6592), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 360;
          task_struct_tasks'next_adjustment = 360;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_27", match_err));;
let task_struct_parser_28 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      run_list'next : zero+32 : offset(288), littleendian;
      run_list'prev : zero+32 : offset(320), littleendian;
      tasks'next : zero+32 : offset(2208), littleendian;
      tasks'prev : zero+32 : offset(2240), littleendian;
      pid : zero+32 : offset(2688), littleendian;
      comm : 128 : offset(4608), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 276;
          task_struct_tasks'next_adjustment = 276;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_28", match_err));;
let task_struct_parser_29 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(160), bigendian;
      static_prio : zero+32 : offset(192), bigendian;
      normal_prio : zero+32 : offset(224), bigendian;
      tasks'next : zero+32 : offset(3328), bigendian;
      tasks'prev : zero+32 : offset(3360), bigendian;
      pid : zero+32 : offset(3680), bigendian;
      comm : 128 : offset(6056), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 416;
          task_struct_tasks'next_adjustment = 416;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_29", match_err));;
let task_struct_parser_30 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(256), bigendian;
      static_prio : zero+32 : offset(288), bigendian;
      normal_prio : zero+32 : offset(320), bigendian;
      tasks'next : zero+64 : offset(4480), bigendian;
      tasks'prev : zero+64 : offset(4544), bigendian;
      pid : zero+32 : offset(4992), bigendian;
      comm : 128 : offset(9024), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 560;
          task_struct_tasks'next_adjustment = 560;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_30", match_err));;
let task_struct_parser_31 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      tasks'next : zero+32 : offset(3584), littleendian;
      tasks'prev : zero+32 : offset(3616), littleendian;
      pid : zero+32 : offset(3936), littleendian;
      comm : 128 : offset(6304), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 448;
          task_struct_tasks'next_adjustment = 448;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_31", match_err));;
let task_struct_parser_32 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(192), bigendian;
      static_prio : zero+32 : offset(224), bigendian;
      normal_prio : zero+32 : offset(256), bigendian;
      tasks'next : zero+32 : offset(3392), bigendian;
      tasks'prev : zero+32 : offset(3424), bigendian;
      pid : zero+32 : offset(3744), bigendian;
      comm : 128 : offset(6120), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 424;
          task_struct_tasks'next_adjustment = 424;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_32", match_err));;
let task_struct_parser_33 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(224), littleendian;
      static_prio : zero+32 : offset(256), littleendian;
      normal_prio : zero+32 : offset(288), littleendian;
      run_list'next : zero+64 : offset(320), littleendian;
      run_list'prev : zero+64 : offset(384), littleendian;
      tasks'next : zero+64 : offset(3648), littleendian;
      tasks'prev : zero+64 : offset(3712), littleendian;
      pid : zero+32 : offset(4160), littleendian;
      comm : 128 : offset(7816), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 456;
          task_struct_tasks'next_adjustment = 456;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_33", match_err));;
let task_struct_parser_34 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(256), littleendian;
      static_prio : zero+32 : offset(288), littleendian;
      normal_prio : zero+32 : offset(320), littleendian;
      run_list'next : zero+64 : offset(384), littleendian;
      run_list'prev : zero+64 : offset(448), littleendian;
      tasks'next : zero+64 : offset(1408), littleendian;
      tasks'prev : zero+64 : offset(1472), littleendian;
      pid : zero+32 : offset(1920), littleendian;
      comm : 128 : offset(5184), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 176;
          task_struct_tasks'next_adjustment = 176;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_34", match_err));;
let task_struct_parser_35 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      tasks'next : zero+32 : offset(3328), littleendian;
      tasks'prev : zero+32 : offset(3360), littleendian;
      pid : zero+32 : offset(3680), littleendian;
      comm : 128 : offset(6056), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 416;
          task_struct_tasks'next_adjustment = 416;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_35", match_err));;
let task_struct_parser_36 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(224), littleendian;
      static_prio : zero+32 : offset(256), littleendian;
      normal_prio : zero+32 : offset(288), littleendian;
      run_list'next : zero+64 : offset(320), littleendian;
      run_list'prev : zero+64 : offset(384), littleendian;
      tasks'next : zero+64 : offset(2816), littleendian;
      tasks'prev : zero+64 : offset(2880), littleendian;
      pid : zero+32 : offset(3328), littleendian;
      comm : 128 : offset(6848), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 352;
          task_struct_tasks'next_adjustment = 352;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_36", match_err));;
let task_struct_parser_37 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(256), bigendian;
      static_prio : zero+32 : offset(288), bigendian;
      normal_prio : zero+32 : offset(320), bigendian;
      run_list'next : zero+64 : offset(384), bigendian;
      run_list'prev : zero+64 : offset(448), bigendian;
      tasks'next : zero+64 : offset(2688), bigendian;
      tasks'prev : zero+64 : offset(2752), bigendian;
      pid : zero+32 : offset(3456), bigendian;
      comm : 128 : offset(6720), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 336;
          task_struct_tasks'next_adjustment = 336;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_37", match_err));;
let task_struct_parser_38 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(160), bigendian;
      static_prio : zero+32 : offset(192), bigendian;
      normal_prio : zero+32 : offset(224), bigendian;
      run_list'next : zero+32 : offset(256), bigendian;
      run_list'prev : zero+32 : offset(288), bigendian;
      tasks'next : zero+32 : offset(2240), bigendian;
      tasks'prev : zero+32 : offset(2272), bigendian;
      pid : zero+32 : offset(2592), bigendian;
      comm : 128 : offset(4480), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 280;
          task_struct_tasks'next_adjustment = 280;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_38", match_err));;
let task_struct_parser_39 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      run_list'next : zero+32 : offset(256), littleendian;
      run_list'prev : zero+32 : offset(288), littleendian;
      tasks'next : zero+32 : offset(2144), littleendian;
      tasks'prev : zero+32 : offset(2176), littleendian;
      pid : zero+32 : offset(2496), littleendian;
      comm : 128 : offset(4384), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 268;
          task_struct_tasks'next_adjustment = 268;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_39", match_err));;
let task_struct_parser_40 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), bigendian;
      prio : zero+32 : offset(256), bigendian;
      static_prio : zero+32 : offset(288), bigendian;
      normal_prio : zero+32 : offset(320), bigendian;
      run_list'next : zero+64 : offset(384), bigendian;
      run_list'prev : zero+64 : offset(448), bigendian;
      tasks'next : zero+64 : offset(2880), bigendian;
      tasks'prev : zero+64 : offset(2944), bigendian;
      pid : zero+32 : offset(3648), bigendian;
      comm : 128 : offset(6912), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 360;
          task_struct_tasks'next_adjustment = 360;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_40", match_err));;
let task_struct_parser_41 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(224), littleendian;
      static_prio : zero+32 : offset(256), littleendian;
      normal_prio : zero+32 : offset(288), littleendian;
      run_list'next : zero+64 : offset(320), littleendian;
      run_list'prev : zero+64 : offset(384), littleendian;
      tasks'next : zero+64 : offset(2752), littleendian;
      tasks'prev : zero+64 : offset(2816), littleendian;
      pid : zero+32 : offset(3264), littleendian;
      comm : 128 : offset(6528), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 40;
          task_struct_run_list'next_adjustment = 40;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 344;
          task_struct_tasks'next_adjustment = 344;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_41", match_err));;
let task_struct_parser_42 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(192), littleendian;
      static_prio : zero+32 : offset(224), littleendian;
      normal_prio : zero+32 : offset(256), littleendian;
      run_list'next : zero+32 : offset(288), littleendian;
      run_list'prev : zero+32 : offset(320), littleendian;
      tasks'next : zero+32 : offset(2144), littleendian;
      tasks'prev : zero+32 : offset(2176), littleendian;
      pid : zero+32 : offset(2624), littleendian;
      comm : 128 : offset(4544), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 268;
          task_struct_tasks'next_adjustment = 268;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_42", match_err));;
let task_struct_parser_43 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(320), littleendian;
      static_prio : zero+32 : offset(352), littleendian;
      normal_prio : zero+32 : offset(384), littleendian;
      run_list'next : zero+64 : offset(448), littleendian;
      run_list'prev : zero+64 : offset(512), littleendian;
      tasks'next : zero+64 : offset(1728), littleendian;
      tasks'prev : zero+64 : offset(1792), littleendian;
      pid : zero+32 : offset(2336), littleendian;
      comm : 128 : offset(5568), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 56;
          task_struct_run_list'next_adjustment = 56;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 216;
          task_struct_tasks'next_adjustment = 216;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_43", match_err));;
let task_struct_parser_44 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(256), littleendian;
      static_prio : zero+32 : offset(288), littleendian;
      normal_prio : zero+32 : offset(320), littleendian;
      tasks'next : zero+64 : offset(4096), littleendian;
      tasks'prev : zero+64 : offset(4160), littleendian;
      pid : zero+32 : offset(4608), littleendian;
      comm : 128 : offset(8712), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = None;
          task_struct_run_list'next_offset = -1;
          task_struct_run_list'next_adjustment = -1;
        task_struct_run_list'prev = None;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 512;
          task_struct_tasks'next_adjustment = 512;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_44", match_err));;
let task_struct_parser_45 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), littleendian;
      prio : zero+32 : offset(160), littleendian;
      static_prio : zero+32 : offset(192), littleendian;
      normal_prio : zero+32 : offset(224), littleendian;
      run_list'next : zero+32 : offset(256), littleendian;
      run_list'prev : zero+32 : offset(288), littleendian;
      tasks'next : zero+32 : offset(2176), littleendian;
      tasks'prev : zero+32 : offset(2208), littleendian;
      pid : zero+32 : offset(2528), littleendian;
      comm : 128 : offset(4416), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 32;
          task_struct_run_list'next_adjustment = 32;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 272;
          task_struct_tasks'next_adjustment = 272;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_45", match_err));;
let task_struct_parser_46 kernel_version bits = 
  bitmatch bits with
  | { state : zero+32 : offset(0), bigendian;
      prio : zero+32 : offset(192), bigendian;
      static_prio : zero+32 : offset(224), bigendian;
      normal_prio : zero+32 : offset(256), bigendian;
      run_list'next : zero+32 : offset(288), bigendian;
      run_list'prev : zero+32 : offset(320), bigendian;
      tasks'next : zero+32 : offset(2240), bigendian;
      tasks'prev : zero+32 : offset(2272), bigendian;
      pid : zero+32 : offset(2720), bigendian;
      comm : 128 : offset(4672), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 36;
          task_struct_run_list'next_adjustment = 36;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 280;
          task_struct_tasks'next_adjustment = 280;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_46", match_err));;
let task_struct_parser_47 kernel_version bits = 
  bitmatch bits with
  | { state : zero+64 : offset(0), littleendian;
      prio : zero+32 : offset(256), littleendian;
      static_prio : zero+32 : offset(288), littleendian;
      normal_prio : zero+32 : offset(320), littleendian;
      run_list'next : zero+64 : offset(384), littleendian;
      run_list'prev : zero+64 : offset(448), littleendian;
      tasks'next : zero+64 : offset(2624), littleendian;
      tasks'prev : zero+64 : offset(2688), littleendian;
      pid : zero+32 : offset(3392), littleendian;
      comm : 128 : offset(6720), string } ->
      { task_struct_comm = comm;
        task_struct_normal_prio = normal_prio;
        task_struct_pid = pid;
        task_struct_prio = prio;
        task_struct_run_list'next = Some run_list'next;
          task_struct_run_list'next_offset = 48;
          task_struct_run_list'next_adjustment = 48;
        task_struct_run_list'prev = Some run_list'prev;
        task_struct_state = state;
        task_struct_static_prio = static_prio;
        task_struct_tasks'next = tasks'next;
          task_struct_tasks'next_offset = 328;
          task_struct_tasks'next_adjustment = 328;
        task_struct_tasks'prev = tasks'prev }
  | { _ } ->
      raise (ParseError ("task_struct", "task_struct_parser_47", match_err));;
let net_device_parser_48 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+32 : offset(384), littleendian;
      flags : zero+32 : offset(704), littleendian;
      operstate : zero+8 : offset(784), littleendian;
      mtu : zero+32 : offset(800), littleendian;
      perm_addr : 256 : offset(896), string;
      addr_len : zero+8 : offset(1152), littleendian;
      ip_ptr : zero+32 : offset(1344), littleendian;
      ip6_ptr : zero+32 : offset(1408), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_48", match_err));;
let net_device_parser_49 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), bigendian;
      dev_list'prev : zero+64 : offset(640), bigendian;
      flags : zero+32 : offset(2880), bigendian;
      operstate : zero+8 : offset(2960), bigendian;
      mtu : zero+32 : offset(2976), bigendian;
      perm_addr : 256 : offset(3136), string;
      addr_len : zero+8 : offset(3392), bigendian;
      ip_ptr : zero+64 : offset(3840), bigendian;
      ip6_ptr : zero+64 : offset(3968), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_49", match_err));;
let net_device_parser_50 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), bigendian;
      dev_list'prev : zero+32 : offset(416), bigendian;
      flags : zero+32 : offset(1472), bigendian;
      operstate : zero+8 : offset(1552), bigendian;
      mtu : zero+32 : offset(1568), bigendian;
      perm_addr : 256 : offset(1664), string;
      addr_len : zero+8 : offset(1920), bigendian;
      ip_ptr : zero+32 : offset(2112), bigendian;
      ip6_ptr : zero+32 : offset(2176), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_50", match_err));;
let net_device_parser_51 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), littleendian;
      dev_list'prev : zero+64 : offset(640), littleendian;
      flags : zero+32 : offset(2880), littleendian;
      operstate : zero+8 : offset(2960), littleendian;
      mtu : zero+32 : offset(2976), littleendian;
      perm_addr : 256 : offset(3136), string;
      addr_len : zero+8 : offset(3392), littleendian;
      ip_ptr : zero+64 : offset(3840), littleendian;
      ip6_ptr : zero+64 : offset(3968), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_51", match_err));;
let net_device_parser_52 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+64 : offset(576), littleendian;
      flags : zero+32 : offset(1152), littleendian;
      operstate : zero+8 : offset(1232), littleendian;
      mtu : zero+32 : offset(1248), littleendian;
      perm_addr : 256 : offset(1408), string;
      addr_len : zero+8 : offset(1664), littleendian;
      ip_ptr : zero+64 : offset(1984), littleendian;
      ip6_ptr : zero+64 : offset(2112), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_52", match_err));;
let net_device_parser_53 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), bigendian;
      dev_list'prev : zero+32 : offset(416), bigendian;
      flags : zero+32 : offset(1536), bigendian;
      operstate : zero+8 : offset(1616), bigendian;
      mtu : zero+32 : offset(1632), bigendian;
      perm_addr : 256 : offset(1760), string;
      addr_len : zero+8 : offset(2016), bigendian;
      ip_ptr : zero+32 : offset(2432), bigendian;
      ip6_ptr : zero+32 : offset(2496), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_53", match_err));;
let net_device_parser_54 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+64 : offset(576), bigendian;
      flags : zero+32 : offset(1152), bigendian;
      operstate : zero+8 : offset(1232), bigendian;
      mtu : zero+32 : offset(1248), bigendian;
      perm_addr : 256 : offset(1408), string;
      addr_len : zero+8 : offset(1664), bigendian;
      ip_ptr : zero+64 : offset(1984), bigendian;
      ip6_ptr : zero+64 : offset(2112), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_54", match_err));;
let net_device_parser_55 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), littleendian;
      dev_list'prev : zero+32 : offset(416), littleendian;
      flags : zero+32 : offset(1568), littleendian;
      operstate : zero+8 : offset(1648), littleendian;
      mtu : zero+32 : offset(1664), littleendian;
      perm_addr : 256 : offset(1760), string;
      addr_len : zero+8 : offset(2016), littleendian;
      ip_ptr : zero+32 : offset(2304), littleendian;
      ip6_ptr : zero+32 : offset(2368), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_55", match_err));;
let net_device_parser_56 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+64 : offset(576), littleendian;
      flags : zero+32 : offset(1216), littleendian;
      operstate : zero+8 : offset(1296), littleendian;
      mtu : zero+32 : offset(1312), littleendian;
      perm_addr : 256 : offset(1472), string;
      addr_len : zero+8 : offset(1728), littleendian;
      ip_ptr : zero+64 : offset(2048), littleendian;
      ip6_ptr : zero+64 : offset(2176), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_56", match_err));;
let net_device_parser_57 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), littleendian;
      dev_list'prev : zero+64 : offset(640), littleendian;
      flags : zero+32 : offset(2688), littleendian;
      operstate : zero+8 : offset(2768), littleendian;
      mtu : zero+32 : offset(2784), littleendian;
      perm_addr : 256 : offset(2944), string;
      addr_len : zero+8 : offset(3200), littleendian;
      ip_ptr : zero+64 : offset(3520), littleendian;
      ip6_ptr : zero+64 : offset(3648), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_57", match_err));;
let net_device_parser_58 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), bigendian;
      dev_list'prev : zero+64 : offset(640), bigendian;
      flags : zero+32 : offset(2688), bigendian;
      operstate : zero+8 : offset(2768), bigendian;
      mtu : zero+32 : offset(2784), bigendian;
      perm_addr : 256 : offset(2944), string;
      addr_len : zero+8 : offset(3200), bigendian;
      ip_ptr : zero+64 : offset(3520), bigendian;
      ip6_ptr : zero+64 : offset(3648), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_58", match_err));;
let net_device_parser_59 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), littleendian;
      dev_list'prev : zero+32 : offset(416), littleendian;
      flags : zero+32 : offset(1568), littleendian;
      operstate : zero+8 : offset(1648), littleendian;
      mtu : zero+32 : offset(1664), littleendian;
      perm_addr : 256 : offset(1792), string;
      addr_len : zero+8 : offset(2048), littleendian;
      ip_ptr : zero+32 : offset(2336), littleendian;
      ip6_ptr : zero+32 : offset(2400), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_59", match_err));;
let net_device_parser_60 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), bigendian;
      dev_list'prev : zero+32 : offset(416), bigendian;
      flags : zero+32 : offset(1568), bigendian;
      operstate : zero+8 : offset(1648), bigendian;
      mtu : zero+32 : offset(1664), bigendian;
      perm_addr : 256 : offset(1760), string;
      addr_len : zero+8 : offset(2016), bigendian;
      ip_ptr : zero+32 : offset(2304), bigendian;
      ip6_ptr : zero+32 : offset(2368), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_60", match_err));;
let net_device_parser_61 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), littleendian;
      dev_list'prev : zero+32 : offset(416), littleendian;
      flags : zero+32 : offset(1472), littleendian;
      operstate : zero+8 : offset(1552), littleendian;
      mtu : zero+32 : offset(1568), littleendian;
      perm_addr : 256 : offset(1664), string;
      addr_len : zero+8 : offset(1920), littleendian;
      ip_ptr : zero+32 : offset(2208), littleendian;
      ip6_ptr : zero+32 : offset(2272), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_61", match_err));;
let net_device_parser_62 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), littleendian;
      dev_list'prev : zero+32 : offset(416), littleendian;
      flags : zero+32 : offset(1536), littleendian;
      operstate : zero+8 : offset(1616), littleendian;
      mtu : zero+32 : offset(1632), littleendian;
      perm_addr : 256 : offset(1760), string;
      addr_len : zero+8 : offset(2016), littleendian;
      ip_ptr : zero+32 : offset(2560), littleendian;
      ip6_ptr : zero+32 : offset(2624), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_62", match_err));;
let net_device_parser_63 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), bigendian;
      dev_list'prev : zero+32 : offset(416), bigendian;
      flags : zero+32 : offset(1472), bigendian;
      operstate : zero+8 : offset(1552), bigendian;
      mtu : zero+32 : offset(1568), bigendian;
      perm_addr : 256 : offset(1664), string;
      addr_len : zero+8 : offset(1920), bigendian;
      ip_ptr : zero+32 : offset(2208), bigendian;
      ip6_ptr : zero+32 : offset(2272), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_63", match_err));;
let net_device_parser_64 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), littleendian;
      dev_list'prev : zero+64 : offset(640), littleendian;
      flags : zero+32 : offset(2816), littleendian;
      operstate : zero+8 : offset(2896), littleendian;
      mtu : zero+32 : offset(2912), littleendian;
      perm_addr : 256 : offset(3072), string;
      addr_len : zero+8 : offset(3328), littleendian;
      ip_ptr : zero+64 : offset(4224), littleendian;
      ip6_ptr : zero+64 : offset(4352), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_64", match_err));;
let net_device_parser_65 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), littleendian;
      dev_list'prev : zero+32 : offset(416), littleendian;
      flags : zero+32 : offset(1472), littleendian;
      operstate : zero+8 : offset(1552), littleendian;
      mtu : zero+32 : offset(1568), littleendian;
      perm_addr : 256 : offset(1664), string;
      addr_len : zero+8 : offset(1920), littleendian;
      ip_ptr : zero+32 : offset(2112), littleendian;
      ip6_ptr : zero+32 : offset(2176), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_65", match_err));;
let net_device_parser_66 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), bigendian;
      dev_list'prev : zero+64 : offset(640), bigendian;
      flags : zero+32 : offset(2688), bigendian;
      operstate : zero+8 : offset(2768), bigendian;
      mtu : zero+32 : offset(2784), bigendian;
      perm_addr : 256 : offset(2944), string;
      addr_len : zero+8 : offset(3200), bigendian;
      ip_ptr : zero+64 : offset(3648), bigendian;
      ip6_ptr : zero+64 : offset(3776), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_66", match_err));;
let net_device_parser_67 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), bigendian;
      dev_list'prev : zero+64 : offset(640), bigendian;
      flags : zero+32 : offset(2816), bigendian;
      operstate : zero+8 : offset(2896), bigendian;
      mtu : zero+32 : offset(2912), bigendian;
      perm_addr : 256 : offset(3072), string;
      addr_len : zero+8 : offset(3328), bigendian;
      ip_ptr : zero+64 : offset(4224), bigendian;
      ip6_ptr : zero+64 : offset(4352), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_67", match_err));;
let net_device_parser_68 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+32 : offset(384), bigendian;
      flags : zero+32 : offset(704), bigendian;
      operstate : zero+8 : offset(784), bigendian;
      mtu : zero+32 : offset(800), bigendian;
      perm_addr : 256 : offset(896), string;
      addr_len : zero+8 : offset(1152), bigendian;
      ip_ptr : zero+32 : offset(1344), bigendian;
      ip6_ptr : zero+32 : offset(1408), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_68", match_err));;
let net_device_parser_69 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+32 : offset(384), bigendian;
      dev_list'prev : zero+32 : offset(416), bigendian;
      flags : zero+32 : offset(1568), bigendian;
      operstate : zero+8 : offset(1648), bigendian;
      mtu : zero+32 : offset(1664), bigendian;
      perm_addr : 256 : offset(1792), string;
      addr_len : zero+8 : offset(2048), bigendian;
      ip_ptr : zero+32 : offset(2336), bigendian;
      ip6_ptr : zero+32 : offset(2400), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 48;
          net_device_dev_list'next_adjustment = 48;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_69", match_err));;
let net_device_parser_70 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+32 : offset(384), littleendian;
      flags : zero+32 : offset(736), littleendian;
      operstate : zero+8 : offset(816), littleendian;
      mtu : zero+32 : offset(832), littleendian;
      perm_addr : 256 : offset(928), string;
      addr_len : zero+8 : offset(1184), littleendian;
      ip_ptr : zero+32 : offset(1376), littleendian;
      ip6_ptr : zero+32 : offset(1440), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_70", match_err));;
let net_device_parser_71 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      dev_list'next : zero+64 : offset(576), littleendian;
      dev_list'prev : zero+64 : offset(640), littleendian;
      flags : zero+32 : offset(2688), littleendian;
      operstate : zero+8 : offset(2768), littleendian;
      mtu : zero+32 : offset(2784), littleendian;
      perm_addr : 256 : offset(2944), string;
      addr_len : zero+8 : offset(3200), littleendian;
      ip_ptr : zero+64 : offset(3648), littleendian;
      ip6_ptr : zero+64 : offset(3776), littleendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = Some dev_list'next;
          net_device_dev_list'next_offset = 72;
          net_device_dev_list'next_adjustment = 72;
        net_device_dev_list'prev = Some dev_list'prev;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = None;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_71", match_err));;
let net_device_parser_72 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+32 : offset(384), bigendian;
      flags : zero+32 : offset(736), bigendian;
      operstate : zero+8 : offset(816), bigendian;
      mtu : zero+32 : offset(832), bigendian;
      perm_addr : 256 : offset(928), string;
      addr_len : zero+8 : offset(1184), bigendian;
      ip_ptr : zero+32 : offset(1376), bigendian;
      ip6_ptr : zero+32 : offset(1440), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_72", match_err));;
let net_device_parser_73 kernel_version bits = 
  bitmatch bits with
  | { name : 128 : offset(0), string;
      next : zero+64 : offset(576), bigendian;
      flags : zero+32 : offset(1216), bigendian;
      operstate : zero+8 : offset(1296), bigendian;
      mtu : zero+32 : offset(1312), bigendian;
      perm_addr : 256 : offset(1472), string;
      addr_len : zero+8 : offset(1728), bigendian;
      ip_ptr : zero+64 : offset(2048), bigendian;
      ip6_ptr : zero+64 : offset(2176), bigendian } ->
      { net_device_addr_len = addr_len;
        net_device_dev_list'next = None;
          net_device_dev_list'next_offset = -1;
          net_device_dev_list'next_adjustment = -1;
        net_device_dev_list'prev = None;
        net_device_flags = flags;
        net_device_ip6_ptr = ip6_ptr;
        net_device_ip_ptr = ip_ptr;
        net_device_mtu = mtu;
        net_device_name = name;
        net_device_next = Some next;
        net_device_operstate = operstate;
        net_device_perm_addr = perm_addr }
  | { _ } ->
      raise (ParseError ("net_device", "net_device_parser_73", match_err));;
let net_parser_82 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(576), littleendian;
      dev_base_head'prev : zero+32 : offset(608), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 72;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 76;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_82", match_err));;
let net_parser_87 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(960), littleendian;
      dev_base_head'prev : zero+64 : offset(1024), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 120;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 128;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_87", match_err));;
let net_parser_88 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(1024), littleendian;
      dev_base_head'prev : zero+64 : offset(1088), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 128;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 136;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_88", match_err));;
let net_parser_83 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(1152), littleendian;
      dev_base_head'prev : zero+64 : offset(1216), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 144;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 152;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_83", match_err));;
let net_parser_86 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(1152), bigendian;
      dev_base_head'prev : zero+64 : offset(1216), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 144;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 152;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_86", match_err));;
let net_parser_74 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(704), bigendian;
      dev_base_head'prev : zero+64 : offset(768), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 88;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 96;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_74", match_err));;
let net_parser_79 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(384), littleendian;
      dev_base_head'prev : zero+32 : offset(416), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 48;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 52;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_79", match_err));;
let net_parser_80 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(416), littleendian;
      dev_base_head'prev : zero+32 : offset(448), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 52;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 56;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_80", match_err));;
let net_parser_81 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(384), bigendian;
      dev_base_head'prev : zero+32 : offset(416), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 48;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 52;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_81", match_err));;
let net_parser_85 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(416), bigendian;
      dev_base_head'prev : zero+32 : offset(448), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 52;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 56;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_85", match_err));;
let net_parser_75 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(768), littleendian;
      dev_base_head'prev : zero+64 : offset(832), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 96;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 104;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_75", match_err));;
let net_parser_76 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(448), bigendian;
      dev_base_head'prev : zero+32 : offset(480), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 56;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 60;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_76", match_err));;
let net_parser_77 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+64 : offset(768), bigendian;
      dev_base_head'prev : zero+64 : offset(832), bigendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 96;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 104;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_77", match_err));;
let net_parser_78 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(512), littleendian;
      dev_base_head'prev : zero+32 : offset(544), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 64;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 68;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_78", match_err));;
let net_parser_84 kernel_version bits = 
  bitmatch bits with
  | { dev_base_head'next : zero+32 : offset(544), littleendian;
      dev_base_head'prev : zero+32 : offset(576), littleendian } ->
      { net_dev_base_head'next = dev_base_head'next;
          net_dev_base_head'next_offset = 68;
          net_dev_base_head'next_adjustment = offset_of_net_device_dev_list'next kernel_version;
        net_dev_base_head'prev = dev_base_head'prev;
          net_dev_base_head'prev_offset = 72;
          net_dev_base_head'prev_adjustment = offset_of_net_device_dev_list'next kernel_version }
  | { _ } ->
      raise (ParseError ("net", "net_parser_84", match_err));;
let in_device_parser_89 kernel_version bits = 
  bitmatch bits with
  | { ifa_list : zero+32 : offset(96), littleendian } ->
      { in_device_ifa_list = ifa_list }
  | { _ } ->
      raise (ParseError ("in_device", "in_device_parser_89", match_err));;
let in_device_parser_91 kernel_version bits = 
  bitmatch bits with
  | { ifa_list : zero+32 : offset(96), bigendian } ->
      { in_device_ifa_list = ifa_list }
  | { _ } ->
      raise (ParseError ("in_device", "in_device_parser_91", match_err));;
let in_device_parser_92 kernel_version bits = 
  bitmatch bits with
  | { ifa_list : zero+64 : offset(128), littleendian } ->
      { in_device_ifa_list = ifa_list }
  | { _ } ->
      raise (ParseError ("in_device", "in_device_parser_92", match_err));;
let in_device_parser_90 kernel_version bits = 
  bitmatch bits with
  | { ifa_list : zero+64 : offset(128), bigendian } ->
      { in_device_ifa_list = ifa_list }
  | { _ } ->
      raise (ParseError ("in_device", "in_device_parser_90", match_err));;
let inet6_dev_parser_93 kernel_version bits = 
  bitmatch bits with
  | { addr_list : zero+32 : offset(32), littleendian } ->
      { inet6_dev_addr_list = addr_list }
  | { _ } ->
      raise (ParseError ("inet6_dev", "inet6_dev_parser_93", match_err));;
let inet6_dev_parser_95 kernel_version bits = 
  bitmatch bits with
  | { addr_list : zero+32 : offset(32), bigendian } ->
      { inet6_dev_addr_list = addr_list }
  | { _ } ->
      raise (ParseError ("inet6_dev", "inet6_dev_parser_95", match_err));;
let inet6_dev_parser_96 kernel_version bits = 
  bitmatch bits with
  | { addr_list : zero+64 : offset(64), littleendian } ->
      { inet6_dev_addr_list = addr_list }
  | { _ } ->
      raise (ParseError ("inet6_dev", "inet6_dev_parser_96", match_err));;
let inet6_dev_parser_94 kernel_version bits = 
  bitmatch bits with
  | { addr_list : zero+64 : offset(64), bigendian } ->
      { inet6_dev_addr_list = addr_list }
  | { _ } ->
      raise (ParseError ("inet6_dev", "inet6_dev_parser_94", match_err));;
let in_ifaddr_parser_97 kernel_version bits = 
  bitmatch bits with
  | { ifa_next : zero+32 : offset(0), littleendian;
      ifa_local : zero+32 : offset(128), littleendian;
      ifa_address : zero+32 : offset(160), littleendian;
      ifa_mask : zero+32 : offset(192), littleendian;
      ifa_broadcast : zero+32 : offset(224), littleendian } ->
      { in_ifaddr_ifa_address = ifa_address;
        in_ifaddr_ifa_broadcast = ifa_broadcast;
        in_ifaddr_ifa_local = ifa_local;
        in_ifaddr_ifa_mask = ifa_mask;
        in_ifaddr_ifa_next = ifa_next }
  | { _ } ->
      raise (ParseError ("in_ifaddr", "in_ifaddr_parser_97", match_err));;
let in_ifaddr_parser_99 kernel_version bits = 
  bitmatch bits with
  | { ifa_next : zero+32 : offset(0), bigendian;
      ifa_local : zero+32 : offset(128), bigendian;
      ifa_address : zero+32 : offset(160), bigendian;
      ifa_mask : zero+32 : offset(192), bigendian;
      ifa_broadcast : zero+32 : offset(224), bigendian } ->
      { in_ifaddr_ifa_address = ifa_address;
        in_ifaddr_ifa_broadcast = ifa_broadcast;
        in_ifaddr_ifa_local = ifa_local;
        in_ifaddr_ifa_mask = ifa_mask;
        in_ifaddr_ifa_next = ifa_next }
  | { _ } ->
      raise (ParseError ("in_ifaddr", "in_ifaddr_parser_99", match_err));;
let in_ifaddr_parser_98 kernel_version bits = 
  bitmatch bits with
  | { ifa_next : zero+64 : offset(0), bigendian;
      ifa_local : zero+32 : offset(256), bigendian;
      ifa_address : zero+32 : offset(288), bigendian;
      ifa_mask : zero+32 : offset(320), bigendian;
      ifa_broadcast : zero+32 : offset(352), bigendian } ->
      { in_ifaddr_ifa_address = ifa_address;
        in_ifaddr_ifa_broadcast = ifa_broadcast;
        in_ifaddr_ifa_local = ifa_local;
        in_ifaddr_ifa_mask = ifa_mask;
        in_ifaddr_ifa_next = ifa_next }
  | { _ } ->
      raise (ParseError ("in_ifaddr", "in_ifaddr_parser_98", match_err));;
let in_ifaddr_parser_100 kernel_version bits = 
  bitmatch bits with
  | { ifa_next : zero+64 : offset(0), littleendian;
      ifa_local : zero+32 : offset(256), littleendian;
      ifa_address : zero+32 : offset(288), littleendian;
      ifa_mask : zero+32 : offset(320), littleendian;
      ifa_broadcast : zero+32 : offset(352), littleendian } ->
      { in_ifaddr_ifa_address = ifa_address;
        in_ifaddr_ifa_broadcast = ifa_broadcast;
        in_ifaddr_ifa_local = ifa_local;
        in_ifaddr_ifa_mask = ifa_mask;
        in_ifaddr_ifa_next = ifa_next }
  | { _ } ->
      raise (ParseError ("in_ifaddr", "in_ifaddr_parser_100", match_err));;
let inet6_ifaddr_parser_101 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+32 : offset(1024), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_101", match_err));;
let inet6_ifaddr_parser_108 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+32 : offset(832), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_108", match_err));;
let inet6_ifaddr_parser_116 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+32 : offset(832), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_116", match_err));;
let inet6_ifaddr_parser_106 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1856), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_106", match_err));;
let inet6_ifaddr_parser_111 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1664), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_111", match_err));;
let inet6_ifaddr_parser_114 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1728), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_114", match_err));;
let inet6_ifaddr_parser_115 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+64 : offset(1728), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_115", match_err));;
let inet6_ifaddr_parser_102 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+64 : offset(1472), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_102", match_err));;
let inet6_ifaddr_parser_105 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1472), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_105", match_err));;
let inet6_ifaddr_parser_109 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+32 : offset(1056), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_109", match_err));;
let inet6_ifaddr_parser_103 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+32 : offset(928), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_103", match_err));;
let inet6_ifaddr_parser_112 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+32 : offset(928), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_112", match_err));;
let inet6_ifaddr_parser_119 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1408), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_119", match_err));;
let inet6_ifaddr_parser_104 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1280), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_104", match_err));;
let inet6_ifaddr_parser_107 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+64 : offset(1280), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_107", match_err));;
let inet6_ifaddr_parser_110 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+64 : offset(1216), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_110", match_err));;
let inet6_ifaddr_parser_113 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+32 : offset(800), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_113", match_err));;
let inet6_ifaddr_parser_120 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+64 : offset(1216), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_120", match_err));;
let inet6_ifaddr_parser_117 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), littleendian;
      lst_next : zero+32 : offset(736), littleendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_117", match_err));;
let inet6_ifaddr_parser_118 kernel_version bits = 
  bitmatch bits with
  | { prefix_len : zero+32 : offset(128), bigendian;
      lst_next : zero+32 : offset(736), bigendian } ->
      { inet6_ifaddr_lst_next = lst_next;
        inet6_ifaddr_prefix_len = prefix_len }
  | { _ } ->
      raise (ParseError ("inet6_ifaddr", "inet6_ifaddr_parser_118", match_err));;
let size_of_task_struct =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 2704
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 2504
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 1756
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 2496
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 1880
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 2704
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 3780
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 2136
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 2132
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 2572
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 2704
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       1780
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 1376
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             3540
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                1856
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   3948
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      2704
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         2116
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            2524
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               1400
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  1328
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    1952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    1328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    2072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    1736
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    3932
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    2524
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    2272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    3364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    1920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    1612
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    2292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    2572
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    2880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    2272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    1952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    2496
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    1592
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    1992
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    3436
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1376
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    3756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    5944
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    2292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    1968
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    1976
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    1324
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    1992
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    1620
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    2080
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    2292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    2496
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    1368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    1772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    1604
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    2504
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    2856
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    2308
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    5056
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    1628
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    2308
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    2072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    3364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    2504
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    1920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    6232
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    1952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    1576
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    3916
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    1620
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    2116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    1592
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    1612
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    2572
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    1628
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    2504
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    2880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    1620
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    2504
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    1628
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    1604
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    1928
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    1992
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    1604
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    1584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    2572
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    3364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    3916
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    2504
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    2072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    2116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    2116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    2104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    3780
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    1772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    1940
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    1612
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    1756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    2272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    1968
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    1880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    1324
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    2088
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    1736
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    1880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    1592
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    2276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    1976
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1376
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    3756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    2088
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    1760
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    1796
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    3916
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    2072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    1928
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    4468
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    1772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    2524
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    4180
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    3780
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    1608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    2080
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    4200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    4468
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    5808
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    1940
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    1968
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    1604
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    3756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    1756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    3932
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    1608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    1780
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    2572
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    1760
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    2292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    1756
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    2572
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    6232
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    3780
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    1952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    5824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    2104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    2136
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    1620
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    2072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    1560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    1400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    2880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    1796
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    5808
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    3540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    3772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    2880
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    2272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    2112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    1940
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    1772
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    2872
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    2132
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    1952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    4684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    6712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    2116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    1592
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    1324
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    2856
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    5944
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    1548
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    2116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    3436
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    5808
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    2704
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    4204
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    1608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1832
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    2712
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    3432
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "task_struct";;
let size_of_net_device =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 1284
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 1984
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 1092
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 1752
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 1644
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 1284
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 2124
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 1120
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 1924
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 1776
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 1284
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       1092
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 1116
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             1244
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                1108
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   2316
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      1284
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         2044
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            1776
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               1200
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  1216
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    1684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    1404
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    1200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    1824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    1444
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    1900
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    1824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    904
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    1752
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    1016
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    1200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    2288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    1008
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    2288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    1016
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    1800
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    2288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    1752
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    672
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    1984
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    1684
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1444
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    1200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    1984
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    1900
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    2296
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    672
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1540
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    1984
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    1984
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    1016
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    936
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1444
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    1984
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    1752
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    1048
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    1824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    1660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    952
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    1644
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    668
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    1008
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    1200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    1064
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    1752
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    2392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    688
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    1800
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    2392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    2304
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    1048
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    920
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    996
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    1064
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    1092
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    1776
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    2296
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    2124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    904
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    2316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    1120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    1752
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    836
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    1200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    668
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    2304
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    1244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    2196
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    1824
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    1260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    1048
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    1116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    1924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    1072
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    1380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    688
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    1216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    2332
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    1248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    924
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    2044
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    2304
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    1284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    1388
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    1020
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    1212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    1408
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    1388
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "net_device";;
let size_of_net =
  let map =
    StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 120
      (StringMap.add "2.6.25.14-69.fc8.x86_64" 488
         (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 864
            (StringMap.add "2.6.26.1-9.fc9.ppc64" 1224
               (StringMap.add "2.6.24-0.167.rc8.git4.fc9.i586" 80
                  (StringMap.add "2.6.25.14-108.fc9.ppc64" 488
                     (StringMap.add "2.6.26.2-2.fc8.i686" 660
                        (StringMap.add "2.6.25.14-69.fc8.i686" 284
                           (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc" 64
                              (StringMap.add "2.6.26.2-2.fc8.i686" 660
                                 (StringMap.add "2.6.27-0.237.rc2.fc10.i586"
                                    912
                                    (StringMap.add
                                       "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                       1680
                                       (StringMap.add
                                          "2.6.25.14-108.fc9.i586" 284
                                          (StringMap.add
                                             "2.6.25.14-108.fc9.i686" 284
                                             (StringMap.add
                                                "2.6.25.14-69.fc8.ppc64" 488
                                                (StringMap.add
                                                   "2.6.27-0.237.rc2.fc10.x86_64"
                                                   1680
                                                   (StringMap.add
                                                      "2.6.26.2-2.fc8.i686"
                                                      732
                                                      (StringMap.add
                                                         "2.6.26.2-2.fc8.i686"
                                                         732
                                                         (StringMap.add
                                                            "2.6.25.14-69.fc8.i686"
                                                            356
                                                            (StringMap.add
                                                               "2.6.26.2-2.fc8.ppc64"
                                                               1224
                                                               (StringMap.add
                                                                  "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                  1680
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    488
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    652
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    488
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    732
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    732
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    652
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    732
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    488
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    732
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    1352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    860
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    652
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    864
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    1224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    1352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    660
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    1680
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    1352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    912
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    912
                                                                    StringMap.
                                                                    empty))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "net";;
let size_of_in_device =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 288
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 400
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 264
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 368
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 384
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 288
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 480
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 268
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 392
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 368
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 288
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       264
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 240
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             300
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                320
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   448
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      288
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         400
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            368
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               264
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  244
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    344
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    240
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    376
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    240
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    480
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    240
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    320
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    480
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    240
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    260
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    400
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    480
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    236
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    232
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    212
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    440
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    328
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    240
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    288
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    300
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    264
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    244
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    300
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "in_device";;
let size_of_inet6_dev =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 392
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 584
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 364
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 536
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 544
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 392
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 640
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 392
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 560
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 536
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 392
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       364
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 344
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             412
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                416
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   616
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      392
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         568
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            536
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               368
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  360
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    520
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    340
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    512
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    404
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    344
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    520
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    404
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    268
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    512
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    344
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    404
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    584
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    640
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    520
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    340
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    544
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    344
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    448
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    632
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    416
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    640
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    632
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    384
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    352
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    616
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    364
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    640
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    292
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    432
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    536
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    336
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    284
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    608
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    528
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    464
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    372
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    560
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    380
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    412
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    276
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    360
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    656
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    348
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    316
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    568
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    648
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    392
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    424
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    368
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    356
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    396
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    424
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "inet6_dev";;
let size_of_in_ifaddr =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 55
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 71
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 55
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 71
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 71
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 55
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 71
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 51
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 71
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 67
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 55
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc" 55
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 55
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             55
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64" 71
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   71
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      55
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         71
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            71
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               55
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  51
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    51
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "in_ifaddr";;
let size_of_inet6_ifaddr =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" 152
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" 224
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" 140
            (StringMap.add "2.6.25.14-69.fc8.x86_64" 200
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" 224
                  (StringMap.add "2.6.21-1.3128.fc7.i686" 152
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64" 272
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" 140
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64" 224
                              (StringMap.add "2.6.26.1-9.fc9.ppc64" 200
                                 (StringMap.add "2.6.21-1.3132.fc7.i686" 152
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       140
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586" 128
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             156
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                192
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   248
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      152
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         224
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            200
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               140
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  128
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    216
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    272
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    124
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    248
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    200
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    192
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    224
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    256
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    156
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    140
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    128
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    152
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    156
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with
      | Not_found -> unknown_kernel_version kernel_version "inet6_ifaddr";;
let parser_of_task_struct =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" task_struct_parser_1
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" task_struct_parser_2
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" task_struct_parser_3
            (StringMap.add "2.6.25.14-69.fc8.x86_64" task_struct_parser_4
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" task_struct_parser_5
                  (StringMap.add "2.6.21-1.3128.fc7.i686"
                     task_struct_parser_1
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        task_struct_parser_5
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           task_struct_parser_6
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              task_struct_parser_7
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 task_struct_parser_8
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    task_struct_parser_1
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       task_struct_parser_9
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          task_struct_parser_1
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             task_struct_parser_10
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                task_struct_parser_43
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   task_struct_parser_12
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      task_struct_parser_1
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         task_struct_parser_13
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            task_struct_parser_14
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               task_struct_parser_1
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  task_struct_parser_15
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    task_struct_parser_20
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    task_struct_parser_22
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    task_struct_parser_23
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    task_struct_parser_14
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    task_struct_parser_25
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    task_struct_parser_27
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    task_struct_parser_8
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    task_struct_parser_28
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    task_struct_parser_25
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    task_struct_parser_29
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    task_struct_parser_4
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    task_struct_parser_33
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    task_struct_parser_34
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    task_struct_parser_27
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    task_struct_parser_29
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    task_struct_parser_35
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    task_struct_parser_33
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    task_struct_parser_36
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    task_struct_parser_37
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    task_struct_parser_33
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    task_struct_parser_4
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    task_struct_parser_2
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    task_struct_parser_39
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    task_struct_parser_40
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    task_struct_parser_40
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    task_struct_parser_2
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    task_struct_parser_4
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    task_struct_parser_41
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    task_struct_parser_13
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    task_struct_parser_8
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    task_struct_parser_2
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    task_struct_parser_42
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    task_struct_parser_2
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    task_struct_parser_43
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    task_struct_parser_22
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    task_struct_parser_8
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    task_struct_parser_41
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    task_struct_parser_2
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    task_struct_parser_13
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    task_struct_parser_13
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    task_struct_parser_3
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    task_struct_parser_25
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    task_struct_parser_35
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    task_struct_parser_20
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    task_struct_parser_24
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    task_struct_parser_29
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    task_struct_parser_34
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    task_struct_parser_20
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    task_struct_parser_46
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    task_struct_parser_41
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    task_struct_parser_43
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    task_struct_parser_36
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    task_struct_parser_14
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    task_struct_parser_36
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    task_struct_parser_19
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    task_struct_parser_36
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    task_struct_parser_32
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    task_struct_parser_34
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    task_struct_parser_47
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    task_struct_parser_46
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    task_struct_parser_8
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    task_struct_parser_15
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    task_struct_parser_20
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    task_struct_parser_37
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    task_struct_parser_8
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    task_struct_parser_4
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    task_struct_parser_29
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    task_struct_parser_21
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    task_struct_parser_6
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    task_struct_parser_28
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    task_struct_parser_9
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    task_struct_parser_10
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    task_struct_parser_5
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    task_struct_parser_42
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    task_struct_parser_25
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    task_struct_parser_38
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    task_struct_parser_45
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    task_struct_parser_7
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    task_struct_parser_17
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    task_struct_parser_13
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    task_struct_parser_35
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    task_struct_parser_39
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    task_struct_parser_30
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    task_struct_parser_18
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    task_struct_parser_13
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    task_struct_parser_44
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    task_struct_parser_31
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    task_struct_parser_26
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    task_struct_parser_16
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    task_struct_parser_1
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    task_struct_parser_19
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "task_struct";;
let parser_of_net_device =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" net_device_parser_48
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" net_device_parser_49
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" net_device_parser_50
            (StringMap.add "2.6.25.14-69.fc8.x86_64" net_device_parser_51
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" net_device_parser_52
                  (StringMap.add "2.6.21-1.3128.fc7.i686"
                     net_device_parser_48
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        net_device_parser_52
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           net_device_parser_53
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              net_device_parser_54
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 net_device_parser_49
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    net_device_parser_48
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       net_device_parser_50
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          net_device_parser_48
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             net_device_parser_55
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                net_device_parser_56
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   net_device_parser_57
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      net_device_parser_48
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         net_device_parser_58
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            net_device_parser_49
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               net_device_parser_48
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  net_device_parser_59
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    net_device_parser_63
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    net_device_parser_66
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    net_device_parser_66
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    net_device_parser_70
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    net_device_parser_71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    net_device_parser_70
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    net_device_parser_70
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    net_device_parser_72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    net_device_parser_56
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    net_device_parser_73
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    net_device_parser_66
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    net_device_parser_73
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    net_device_parser_63
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    net_device_parser_73
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    net_device_parser_63
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    net_device_parser_56
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    net_device_parser_71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    net_device_parser_71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    net_device_parser_71
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    net_device_parser_69
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    net_device_parser_57
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    net_device_parser_63
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    net_device_parser_49
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    net_device_parser_64
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    net_device_parser_73
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    net_device_parser_70
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    net_device_parser_53
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    net_device_parser_52
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    net_device_parser_66
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    net_device_parser_50
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    net_device_parser_54
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    net_device_parser_60
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    net_device_parser_72
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    net_device_parser_59
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    net_device_parser_67
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    net_device_parser_61
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    net_device_parser_58
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    net_device_parser_51
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    net_device_parser_48
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    net_device_parser_62
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    net_device_parser_68
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_device_parser_55
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    net_device_parser_65
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    net_device_parser_62
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "net_device";;
let parser_of_net =
  let map =
    StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" net_parser_74
      (StringMap.add "2.6.25.14-69.fc8.x86_64" net_parser_88
         (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc" net_parser_76
            (StringMap.add "2.6.26.1-9.fc9.ppc64" net_parser_77
               (StringMap.add "2.6.24-0.167.rc8.git4.fc9.i586" net_parser_78
                  (StringMap.add "2.6.25.14-108.fc9.ppc64" net_parser_77
                     (StringMap.add "2.6.26.2-2.fc8.i686" net_parser_78
                        (StringMap.add "2.6.25.14-69.fc8.i686" net_parser_80
                           (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc"
                              net_parser_81
                              (StringMap.add "2.6.26.2-2.fc8.i686"
                                 net_parser_78
                                 (StringMap.add "2.6.27-0.237.rc2.fc10.i586"
                                    net_parser_82
                                    (StringMap.add
                                       "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                       net_parser_83
                                       (StringMap.add
                                          "2.6.25.14-108.fc9.i586"
                                          net_parser_80
                                          (StringMap.add
                                             "2.6.25.14-108.fc9.i686"
                                             net_parser_80
                                             (StringMap.add
                                                "2.6.25.14-69.fc8.ppc64"
                                                net_parser_77
                                                (StringMap.add
                                                   "2.6.27-0.237.rc2.fc10.x86_64"
                                                   net_parser_83
                                                   (StringMap.add
                                                      "2.6.26.2-2.fc8.i686"
                                                      net_parser_78
                                                      (StringMap.add
                                                         "2.6.26.2-2.fc8.i686"
                                                         net_parser_78
                                                         (StringMap.add
                                                            "2.6.25.14-69.fc8.i686"
                                                            net_parser_80
                                                            (StringMap.add
                                                               "2.6.26.2-2.fc8.ppc64"
                                                               net_parser_77
                                                               (StringMap.add
                                                                  "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                  net_parser_83
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    net_parser_85
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    net_parser_87
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    net_parser_83
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    net_parser_85
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    net_parser_87
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_parser_84
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    net_parser_87
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    net_parser_75
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    net_parser_74
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    net_parser_83
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    net_parser_74
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    net_parser_77
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    net_parser_83
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    net_parser_74
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    net_parser_83
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    net_parser_74
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    net_parser_77
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    net_parser_74
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    net_parser_85
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    net_parser_77
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    net_parser_77
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    net_parser_77
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    net_parser_85
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    net_parser_83
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    net_parser_76
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_parser_84
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    net_parser_78
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    net_parser_81
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    net_parser_84
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    net_parser_79
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    net_parser_86
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    net_parser_88
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    net_parser_82
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    net_parser_80
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    net_parser_82
                                                                    StringMap.
                                                                    empty))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "net";;
let parser_of_in_device =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" in_device_parser_89
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" in_device_parser_90
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" in_device_parser_91
            (StringMap.add "2.6.25.14-69.fc8.x86_64" in_device_parser_92
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" in_device_parser_92
                  (StringMap.add "2.6.21-1.3128.fc7.i686" in_device_parser_89
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        in_device_parser_92
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           in_device_parser_91
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              in_device_parser_90
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 in_device_parser_90
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    in_device_parser_89
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       in_device_parser_91
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          in_device_parser_89
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             in_device_parser_89
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                in_device_parser_92
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   in_device_parser_92
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      in_device_parser_89
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         in_device_parser_90
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            in_device_parser_90
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               in_device_parser_89
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  in_device_parser_89
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    in_device_parser_90
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    in_device_parser_92
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    in_device_parser_91
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    in_device_parser_89
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    in_device_parser_89
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "in_device";;
let parser_of_inet6_dev =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" inet6_dev_parser_93
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" inet6_dev_parser_94
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" inet6_dev_parser_95
            (StringMap.add "2.6.25.14-69.fc8.x86_64" inet6_dev_parser_96
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" inet6_dev_parser_96
                  (StringMap.add "2.6.21-1.3128.fc7.i686" inet6_dev_parser_93
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        inet6_dev_parser_96
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           inet6_dev_parser_95
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              inet6_dev_parser_94
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 inet6_dev_parser_94
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    inet6_dev_parser_93
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       inet6_dev_parser_95
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          inet6_dev_parser_93
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             inet6_dev_parser_93
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                inet6_dev_parser_96
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   inet6_dev_parser_96
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      inet6_dev_parser_93
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         inet6_dev_parser_94
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            inet6_dev_parser_94
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               inet6_dev_parser_93
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  inet6_dev_parser_93
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    inet6_dev_parser_94
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    inet6_dev_parser_96
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    inet6_dev_parser_95
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    inet6_dev_parser_93
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    inet6_dev_parser_93
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "inet6_dev";;
let parser_of_in_ifaddr =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" in_ifaddr_parser_97
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64" in_ifaddr_parser_98
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc" in_ifaddr_parser_99
            (StringMap.add "2.6.25.14-69.fc8.x86_64" in_ifaddr_parser_100
               (StringMap.add "2.6.21-1.3190.fc7.x86_64" in_ifaddr_parser_100
                  (StringMap.add "2.6.21-1.3128.fc7.i686" in_ifaddr_parser_97
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        in_ifaddr_parser_100
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           in_ifaddr_parser_99
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              in_ifaddr_parser_98
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 in_ifaddr_parser_98
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    in_ifaddr_parser_97
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       in_ifaddr_parser_99
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          in_ifaddr_parser_97
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             in_ifaddr_parser_97
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                in_ifaddr_parser_100
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   in_ifaddr_parser_100
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      in_ifaddr_parser_97
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         in_ifaddr_parser_98
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            in_ifaddr_parser_98
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               in_ifaddr_parser_97
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  in_ifaddr_parser_97
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    in_ifaddr_parser_98
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    in_ifaddr_parser_100
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    in_ifaddr_parser_99
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    in_ifaddr_parser_97
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    in_ifaddr_parser_97
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with | Not_found -> unknown_kernel_version kernel_version "in_ifaddr";;
let parser_of_inet6_ifaddr =
  let map =
    StringMap.add "2.6.21-1.3128.fc7.i586" inet6_ifaddr_parser_101
      (StringMap.add "2.6.24-0.167.rc8.git4.fc9.ppc64"
         inet6_ifaddr_parser_102
         (StringMap.add "2.6.22-0.23.rc7.git6.fc8.ppc"
            inet6_ifaddr_parser_103
            (StringMap.add "2.6.25.14-69.fc8.x86_64" inet6_ifaddr_parser_114
               (StringMap.add "2.6.21-1.3190.fc7.x86_64"
                  inet6_ifaddr_parser_111
                  (StringMap.add "2.6.21-1.3128.fc7.i686"
                     inet6_ifaddr_parser_101
                     (StringMap.add "2.6.21-1.3141.fc7.x86_64"
                        inet6_ifaddr_parser_111
                        (StringMap.add "2.6.27-0.226.rc1.git5.fc10.ppc"
                           inet6_ifaddr_parser_103
                           (StringMap.add "2.6.21-1.3141.fc7.ppc64"
                              inet6_ifaddr_parser_102
                              (StringMap.add "2.6.26.1-9.fc9.ppc64"
                                 inet6_ifaddr_parser_107
                                 (StringMap.add "2.6.21-1.3132.fc7.i686"
                                    inet6_ifaddr_parser_101
                                    (StringMap.add "2.6.21-1.3236.fc8.ppc"
                                       inet6_ifaddr_parser_103
                                       (StringMap.add
                                          "2.6.21-1.3228.fc7.i586"
                                          inet6_ifaddr_parser_108
                                          (StringMap.add
                                             "2.6.24-0.167.rc8.git4.fc9.i586"
                                             inet6_ifaddr_parser_109
                                             (StringMap.add
                                                "2.6.18-1.2798.fc6.x86_64"
                                                inet6_ifaddr_parser_110
                                                (StringMap.add
                                                   "2.6.21-1.3236.fc8.x86_64"
                                                   inet6_ifaddr_parser_111
                                                   (StringMap.add
                                                      "2.6.21-1.3145.fc7.i686"
                                                      inet6_ifaddr_parser_112
                                                      (StringMap.add
                                                         "2.6.21-1.3218.fc8.ppc64"
                                                         inet6_ifaddr_parser_102
                                                         (StringMap.add
                                                            "2.6.25.14-108.fc9.ppc64"
                                                            inet6_ifaddr_parser_107
                                                            (StringMap.add
                                                               "2.6.21-1.3190.fc7.i686"
                                                               inet6_ifaddr_parser_101
                                                               (StringMap.add
                                                                  "2.6.26.2-2.fc8.i686"
                                                                  inet6_ifaddr_parser_109
                                                                  (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_ifaddr_parser_104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_ifaddr_parser_112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i586"
                                                                    inet6_ifaddr_parser_117
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_ifaddr_parser_117
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.x86_64"
                                                                    inet6_ifaddr_parser_104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_ifaddr_parser_117
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_ifaddr_parser_112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i686"
                                                                    inet6_ifaddr_parser_112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    inet6_ifaddr_parser_106
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_ifaddr_parser_104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    inet6_ifaddr_parser_118
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    inet6_ifaddr_parser_106
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.x86_64"
                                                                    inet6_ifaddr_parser_104
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    inet6_ifaddr_parser_118
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.i586"
                                                                    inet6_ifaddr_parser_112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64iseries"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.x86_64"
                                                                    inet6_ifaddr_parser_110
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.x86_64"
                                                                    inet6_ifaddr_parser_106
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc"
                                                                    inet6_ifaddr_parser_118
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.11-97.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-0.167.rc8.git4.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.225.rc1.git5.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3144.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc"
                                                                    inet6_ifaddr_parser_116
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i586"
                                                                    inet6_ifaddr_parser_117
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-2.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.x86_64"
                                                                    inet6_ifaddr_parser_106
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.238.rc2.fc10.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc64"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.i686"
                                                                    inet6_ifaddr_parser_117
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3238.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.244.rc2.git1.fc10.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3141.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-108.fc9.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3228.fc7.ppc"
                                                                    inet6_ifaddr_parser_113
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3190.fc7.i586"
                                                                    inet6_ifaddr_parser_112
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3236.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3218.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.226.rc1.git5.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.x86_64"
                                                                    inet6_ifaddr_parser_111
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3234.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.ppc64"
                                                                    inet6_ifaddr_parser_107
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.ppc64"
                                                                    inet6_ifaddr_parser_120
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-9.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-78.fc7.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.rc7.2.fc8.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3242.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3128.fc7.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.24-7.fc9.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-68.fc8.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.241.rc2.git1.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.18-1.2798.fc6.ppc"
                                                                    inet6_ifaddr_parser_118
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.2-14.fc9.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.22-0.23.rc7.git6.fc8.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.ppc64"
                                                                    inet6_ifaddr_parser_115
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.23.14-135.fc8.i586"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.20-1.2933.fc6.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3209.fc8.ppc64"
                                                                    inet6_ifaddr_parser_102
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.231.rc1.git6.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.26.1-9.fc9.x86_64"
                                                                    inet6_ifaddr_parser_114
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3132.fc7.i686"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.237.rc2.fc10.i686"
                                                                    inet6_ifaddr_parser_109
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3145.fc7.ppc"
                                                                    inet6_ifaddr_parser_103
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.25.14-69.fc8.i686"
                                                                    inet6_ifaddr_parser_108
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.21-1.3221.fc8.i586"
                                                                    inet6_ifaddr_parser_101
                                                                    (StringMap.
                                                                    add
                                                                    "2.6.27-0.254.rc3.fc10.i586"
                                                                    inet6_ifaddr_parser_109
                                                                    StringMap.
                                                                    empty)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
  in
    fun kernel_version ->
      try StringMap.find kernel_version map
      with
      | Not_found -> unknown_kernel_version kernel_version "inet6_ifaddr";;
let rec task_struct_follower debug kernel_version load map addr =
  (if debug
   then eprintf "%s_follower: addr = %Lx
" "task_struct" addr
   else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_task_struct kernel_version in
      let total_size = size_of_task_struct kernel_version in
      let bits = load "task_struct" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("task_struct", (Some (total_size, bits, Task_struct data))) map in
      let map =
        match data.task_struct_run_list'next with
        | None -> map
        | Some dest_addr ->
            (if debug
             then
               eprintf "%s_follower: %s: list_head pointing at a %s
"
                 "task_struct" "run_list'next" "task_struct"
             else ();
             let offset = data.task_struct_run_list'next_offset
             and adj = data.task_struct_run_list'next_adjustment
             in
               (if debug
                then
                  eprintf "%s_follower: %s: offset=%d adjustment=%d
"
                    "task_struct" "run_list'next" offset adj
                else ();
                let offset = Int64.of_int offset
                and adj = Int64.of_int adj in
                let map =
                  if offset <> adj
                  then
                    (let addr = Int64.sub (Int64.add addr offset) adj
                     in AddrMap.add addr ("task_struct", None) map)
                  else map in
                let dest_addr = Int64.sub dest_addr adj
                in
                  (if debug
                   then
                     eprintf "%s_follower: %s: dest_addr=%Lx
" "task_struct"
                       "run_list'next" dest_addr
                   else ();
                   let map =
                     task_struct_follower debug kernel_version load map
                       dest_addr
                   in map))) in
      let dest_addr = data.task_struct_tasks'next in
      let map =
        (if debug
         then
           eprintf "%s_follower: %s: list_head pointing at a %s
"
             "task_struct" "tasks'next" "task_struct"
         else ();
         let offset = data.task_struct_tasks'next_offset
         and adj = data.task_struct_tasks'next_adjustment
         in
           (if debug
            then
              eprintf "%s_follower: %s: offset=%d adjustment=%d
"
                "task_struct" "tasks'next" offset adj
            else ();
            let offset = Int64.of_int offset and adj = Int64.of_int adj in
            let map =
              if offset <> adj
              then
                (let addr = Int64.sub (Int64.add addr offset) adj
                 in AddrMap.add addr ("task_struct", None) map)
              else map in
            let dest_addr = Int64.sub dest_addr adj
            in
              (if debug
               then
                 eprintf "%s_follower: %s: dest_addr=%Lx
" "task_struct"
                   "tasks'next" dest_addr
               else ();
               let map =
                 task_struct_follower debug kernel_version load map dest_addr
               in map)))
      in map)
   else map)
and net_device_follower debug kernel_version load map addr =
  (if debug then eprintf "%s_follower: addr = %Lx
" "net_device" addr else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_net_device kernel_version in
      let total_size = size_of_net_device kernel_version in
      let bits = load "net_device" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("net_device", (Some (total_size, bits, Net_device data))) map in
      let map =
        match data.net_device_dev_list'next with
        | None -> map
        | Some dest_addr ->
            (if debug
             then
               eprintf "%s_follower: %s: list_head pointing at a %s
"
                 "net_device" "dev_list'next" "net_device"
             else ();
             let offset = data.net_device_dev_list'next_offset
             and adj = data.net_device_dev_list'next_adjustment
             in
               (if debug
                then
                  eprintf "%s_follower: %s: offset=%d adjustment=%d
"
                    "net_device" "dev_list'next" offset adj
                else ();
                let offset = Int64.of_int offset
                and adj = Int64.of_int adj in
                let map =
                  if offset <> adj
                  then
                    (let addr = Int64.sub (Int64.add addr offset) adj
                     in AddrMap.add addr ("net_device", None) map)
                  else map in
                let dest_addr = Int64.sub dest_addr adj
                in
                  (if debug
                   then
                     eprintf "%s_follower: %s: dest_addr=%Lx
" "net_device"
                       "dev_list'next" dest_addr
                   else ();
                   let map =
                     net_device_follower debug kernel_version load map
                       dest_addr
                   in map))) in
      let dest_addr = data.net_device_ip6_ptr in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "net_device" "ip6_ptr" "inet6_dev" dest_addr
         else ();
         let map = inet6_dev_follower debug kernel_version load map dest_addr
         in map) in
      let dest_addr = data.net_device_ip_ptr in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "net_device" "ip_ptr" "in_device" dest_addr
         else ();
         let map = in_device_follower debug kernel_version load map dest_addr
         in map) in
      let map =
        match data.net_device_next with
        | None -> map
        | Some dest_addr ->
            (if debug
             then
               eprintf
                 "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
                 "net_device" "next" "net_device" dest_addr
             else ();
             let map =
               net_device_follower debug kernel_version load map dest_addr
             in map)
      in map)
   else map)
and net_follower debug kernel_version load map addr =
  (if debug then eprintf "%s_follower: addr = %Lx
" "net" addr else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_net kernel_version in
      let total_size = size_of_net kernel_version in
      let bits = load "net" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr ("net", (Some (total_size, bits, Net data))) map in
      let dest_addr = data.net_dev_base_head'next in
      let map =
        (if debug
         then
           eprintf "%s_follower: %s: list_head pointing at a %s
" "net"
             "dev_base_head'next" "net_device"
         else ();
         let offset = data.net_dev_base_head'next_offset
         and adj = data.net_dev_base_head'next_adjustment
         in
           (if debug
            then
              eprintf "%s_follower: %s: offset=%d adjustment=%d
" "net"
                "dev_base_head'next" offset adj
            else ();
            let offset = Int64.of_int offset and adj = Int64.of_int adj in
            let map =
              if offset <> adj
              then
                (let addr = Int64.sub (Int64.add addr offset) adj
                 in AddrMap.add addr ("net_device", None) map)
              else map in
            let dest_addr = Int64.sub dest_addr adj
            in
              (if debug
               then
                 eprintf "%s_follower: %s: dest_addr=%Lx
" "net"
                   "dev_base_head'next" dest_addr
               else ();
               let map =
                 net_device_follower debug kernel_version load map dest_addr
               in map))) in
      let dest_addr = data.net_dev_base_head'prev in
      let map =
        (if debug
         then
           eprintf "%s_follower: %s: list_head pointing at a %s
" "net"
             "dev_base_head'prev" "net_device"
         else ();
         let offset = data.net_dev_base_head'prev_offset
         and adj = data.net_dev_base_head'prev_adjustment
         in
           (if debug
            then
              eprintf "%s_follower: %s: offset=%d adjustment=%d
" "net"
                "dev_base_head'prev" offset adj
            else ();
            let offset = Int64.of_int offset and adj = Int64.of_int adj in
            let map =
              if offset <> adj
              then
                (let addr = Int64.sub (Int64.add addr offset) adj
                 in AddrMap.add addr ("net_device", None) map)
              else map in
            let dest_addr = Int64.sub dest_addr adj
            in
              (if debug
               then
                 eprintf "%s_follower: %s: dest_addr=%Lx
" "net"
                   "dev_base_head'prev" dest_addr
               else ();
               let map =
                 net_device_follower debug kernel_version load map dest_addr
               in map)))
      in map)
   else map)
and in_device_follower debug kernel_version load map addr =
  (if debug then eprintf "%s_follower: addr = %Lx
" "in_device" addr else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_in_device kernel_version in
      let total_size = size_of_in_device kernel_version in
      let bits = load "in_device" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("in_device", (Some (total_size, bits, In_device data))) map in
      let dest_addr = data.in_device_ifa_list in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "in_device" "ifa_list" "in_ifaddr" dest_addr
         else ();
         let map = in_ifaddr_follower debug kernel_version load map dest_addr
         in map)
      in map)
   else map)
and inet6_dev_follower debug kernel_version load map addr =
  (if debug then eprintf "%s_follower: addr = %Lx
" "inet6_dev" addr else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_inet6_dev kernel_version in
      let total_size = size_of_inet6_dev kernel_version in
      let bits = load "inet6_dev" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("inet6_dev", (Some (total_size, bits, Inet6_dev data))) map in
      let dest_addr = data.inet6_dev_addr_list in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "inet6_dev" "addr_list" "inet6_ifaddr" dest_addr
         else ();
         let map =
           inet6_ifaddr_follower debug kernel_version load map dest_addr
         in map)
      in map)
   else map)
and in_ifaddr_follower debug kernel_version load map addr =
  (if debug then eprintf "%s_follower: addr = %Lx
" "in_ifaddr" addr else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_in_ifaddr kernel_version in
      let total_size = size_of_in_ifaddr kernel_version in
      let bits = load "in_ifaddr" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("in_ifaddr", (Some (total_size, bits, In_ifaddr data))) map in
      let dest_addr = data.in_ifaddr_ifa_next in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "in_ifaddr" "ifa_next" "in_ifaddr" dest_addr
         else ();
         let map = in_ifaddr_follower debug kernel_version load map dest_addr
         in map)
      in map)
   else map)
and inet6_ifaddr_follower debug kernel_version load map addr =
  (if debug
   then eprintf "%s_follower: addr = %Lx
" "inet6_ifaddr" addr
   else ();
   if (addr <> 0L) && (not (AddrMap.mem addr map))
   then
     (let parser_ = parser_of_inet6_ifaddr kernel_version in
      let total_size = size_of_inet6_ifaddr kernel_version in
      let bits = load "inet6_ifaddr" addr total_size in
      let data = parser_ kernel_version bits in
      let map =
        AddrMap.add addr
          ("inet6_ifaddr", (Some (total_size, bits, Inet6_ifaddr data))) map in
      let dest_addr = data.inet6_ifaddr_lst_next in
      let map =
        (if debug
         then
           eprintf
             "%s_follower: %s: is a struct pointer pointing to a %s; dest_addr=%Lx
"
             "inet6_ifaddr" "lst_next" "inet6_ifaddr" dest_addr
         else ();
         let map =
           inet6_ifaddr_follower debug kernel_version load map dest_addr
         in map)
      in map)
   else map);;
